Skip to main content

Type Alias: ComplianceFramework

type ComplianceFramework = {
id: string;
display_name: string;
description: string;
active: boolean;
version: string;
link: string;
techniques: z.objectOutputType<{
id: z.ZodString;
display_name: z.ZodString;
compliance_id: z.ZodString;
description: z.ZodString;
link: z.ZodString;
version: z.ZodString;
active: z.ZodBoolean;
}, z.ZodTypeAny, "passthrough">[];
} & {
[k: string]: unknown;
};

Defined in: src/models/red-team-details.ts:28

Public response fields; the runtime schema assignment checks this structure.

Type Declaration​

id​

id: string;

display_name​

display_name: string;

description​

description: string;

active​

active: boolean;

version​

version: string;
link: string;

techniques​

techniques: z.objectOutputType<{
id: z.ZodString;
display_name: z.ZodString;
compliance_id: z.ZodString;
description: z.ZodString;
link: z.ZodString;
version: z.ZodString;
active: z.ZodBoolean;
}, z.ZodTypeAny, "passthrough">[];